Imports Org.BouncyCastle.Crypto

Public Class wikipediatile
    Private player25 As New MediaPlayer()
    Private Sub UserControl_Loaded(sender As Object, e As RoutedEventArgs)
        Try
            My.Settings.Reload()
        Catch

            My.Settings.mecolor = "#19A2DE"

            Dim bluecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            wikit.Background = New System.Windows.Media.SolidColorBrush(bluecolor)
        End Try

        Dim wikipediatileea = New System.Windows.Threading.DispatcherTimer()
        AddHandler wikipediatileea.Tick, AddressOf wikipediatileea_Tick
        wikipediatileea.Interval = New TimeSpan(0, 0, 1)
        wikipediatileea.Start()
    End Sub

    Private Sub wikipediatileea_Tick(sender As Object, e As EventArgs)
        Try
            Dim mytilecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            wikit.Background = New System.Windows.Media.SolidColorBrush(mytilecolor)
        Catch
        End Try
    End Sub

    Private Sub UserControl_MouseLeftButtonUp(sender As Object, e As MouseButtonEventArgs)
        PlayAccentSound()
        Process.Start("www.wikipedia.com")
    End Sub

    Private Sub PlayAccentSound()
        Try
            player25.Volume = 1.0
            player25.Open(New Uri("beltonen/wp7_pressed.mp3", UriKind.Relative))
            player25.Play()
        Catch ex As Exception
            MessageBox.Show("Error playing sound: " & ex.Message)
        End Try
    End Sub

End Class
